%define name gnomesu
%define version 0.3.1
%define release 1mdk

Summary: Gnomesu is an interface for `su - username -c command` in Gnome.
Name:	 %name
Version: %{version}
Release: %{release}
Url:	http://xsu.sourceforge.net/
License: GPL
Group: 	 Graphical desktop/GNOME
Source:  http://prdownloads.sourceforge.net/xsu/%name-%version.tar.bz2
BuildRoot: %{_tmppath}/%name-root
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: libzvt-devel
#BuildRequires: automake1.7
Provides: xsu2
Obsoletes: xsu2

%description
Gnomesu is an interface for `su - username -c command` in Gnome. 
When the user executes xsu, he will be prompted for a command, a
username and a password.

%prep

%setup -q
%build
#aclocal-1.7
#automake-1.7 -a -c -f
#autoconf
%configure2_5x

%make

%install
rm -rf %buildroot installed-docs
%makeinstall

mv $RPM_BUILD_ROOT/%_prefix/doc/%name installed-docs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc installed-docs/*
%_datadir/gnome/apps/Applications/xsu.desktop
%_datadir/%name/
%_mandir/man1/%name.1*
%_bindir/*

%changelog
* Thu Sep 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1-1mdk
- initial package based on xsu2

* Tue Jun 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2.5-3mdk
- fix build
- fix buildrequires
- remove file conflicting with gnome-common

* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.2.5-2mdk
- rebuild

* Mon Sep 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.5-1mdk
- fix files section
- use macro for locales
- URL
- from Austin Acton <aacton@yorku.ca> :
	- initial package creation for Mandrake 9.0
